DNF5-SYSTEM-UPGRADE(8)

BEZEICHNUNG
dnf5-system-upgrade - System-Upgrade-Befehl

ÜBERSICHT

dnf5 system-upgrade Unterbefehl [Optionen]

BESCHREIBUNG

Mit dem Befehl system-upgrade wird das System auf eine neue Hauptversion aktualisiert. Zunächst lädt der Unterbefehl download Pakete herunter, während das System normal läuft. Anschließend startet der Unterbefehl reboot das System in eine minimale Offline-Umgebung neu, um die Aktualisierungen anzuwenden.

dnf5 system-upgrade ist eine empfohlene Methode zur Aktualisierung eines Systems auf eine neue Hauptversion. Stellen Sie vor dem Fortfahren sicher, dass Ihr System vollständig aktualisiert ist (dnf5 --refresh upgrade).

system-upgrade hat viele Unterbefehle mit dem offline-Unterbefehl gemeinsam.

UNTERBEFEHLE

    clean
        Siehe dnf5-offline(8), Offline-Befehl

    download
        lädt alle zur Aktualisierung des Systems auf eine neue Hauptversion erforderlichen Pakete herunter und prüft, ob diese installiert werden können.

    log
        Siehe dnf5-offline(8), Offline-Befehl

    reboot
        Siehe dnf5-offline(8), Offline-Befehl

OPTIONEN

    --releasever=Version
        gibt die Version an, auf die aktualisiert werden soll. Dies ist zwingend erforderlich. Dadurch wird $releasever in allen aktivierten Paketquellen gesetzt. Üblicherweise ist es eine Nummer oder rawhide.

    --no-downgrade
        verhält sich wie dnf5 update: Es werden keine Pakete der neuen Hauptversion installiert, wenn diese älter als die aktuell installierten sind. Dies ist das Gegenteil des Standardverhaltens, das dem von dnf5 distro-sync entspricht und immer Pakete der neuen Hauptversion installiert, selbst wenn diese älter als die aktuell installierte Version sind.

    --allowerasing
        erlaubt das Entfernen installierter Pakete, um potenzielle Abhängigkeitsprobleme zu lösen.

    --number=Startnummer
        Siehe dnf5-offline(8), Offline-Befehl

    --poweroff
        Siehe dnf5-offline(8), Offline-Befehl

UMGEBUNGSVARIABLEN

Siehe dnf5-offline(8), Offline-Befehl.

BEISPIELE

  Typische Aufrufe zur Systemaktualisierung:

dnf5 --refresh upgrade

dnf5 system-upgrade download --releasever 40

dnf5 system-upgrade reboot

  Protokolle des letzten Versuchs zur Systemaktualisierung anzeigen:

dnf5 system-upgrade log --number=-1

SIEHE AUCH
        dnf5-offline(8), Offline-Befehl
        https://www.freedesktop.org/wiki/Software/systemd/SystemUpdates

Autor
Siehe AUTHORS.md in der dnf5-Quelldistribution.

Copyright
Mitwirkende am DNF5-Projekt.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).